<form
  class="mat-elevation-z8"
  [formGroup]="wordForm"
  (ngSubmit)="onWordFormSubmit()"
>
  <h3>Multiple Domain Names Checker</h3>
  <div class="sides">
    <div class="left" formGroupName="left">
      <mat-form-field appearance="outline">
        <mat-label>Beginnings</mat-label>
        <mat-select
          formControlName="chosenName"
          (selectionChange)="onUserPick('left')"
        >
          <mat-option *ngFor="let name of leftnames" [value]="name">{{
            name
          }}</mat-option>
        </mat-select>
        <mat-hint
          >Choose a category to help you have some keyword ideas for the
          beginnings/prefixes.</mat-hint
        >
      </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Prefix Keywords</mat-label>
        <textarea
          matInput
          (keydown.space)="$event.preventDefault()"
          formControlName="keywords"
          cdkTextareaAutosize
          cdkAutosizeMinRows="5"
          cdkAutosizeMaxRows="7"
        ></textarea>
        <mat-hint
          >Type in prefixes. Press enter to add a newline before typing another
          keyword.</mat-hint
        >
        <mat-error *ngIf="wordForm.controls.left.get('keywords')?.errors">
          Please enter some keywords.
        </mat-error>
      </mat-form-field>
      <button
        type="button"
        mat-raised-button
        color="warn"
        (click)="clearBox('left')"
      >
        Clear
      </button>
    </div>
    <div class="right" formGroupName="right">
      <mat-form-field appearance="outline">
        <mat-label>Endings</mat-label>
        <mat-select
          formControlName="chosenName"
          (selectionChange)="onUserPick('right')"
        >
          <mat-option *ngFor="let name of rightnames" [value]="name">{{
            name
          }}</mat-option>
        </mat-select>
        <mat-hint
          >Choose a category to help you have some keyword ideas for the
          endins/suffixes.</mat-hint
        >
      </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Suffix Keywords</mat-label>
        <textarea
          matInput
          (keydown.space)="$event.preventDefault()"
          formControlName="keywords"
          cdkTextareaAutosize
          cdkAutosizeMinRows="5"
          cdkAutosizeMaxRows="7"
        ></textarea>
        <mat-hint
          >Type in suffixes. Press enter to add a newline before typing another
          keyword.</mat-hint
        >
        <mat-error *ngIf="wordForm.controls.right.get('keywords')?.errors">
          Please enter some keywords.
        </mat-error>
      </mat-form-field>
      <button
        type="button"
        mat-raised-button
        color="warn"
        (click)="clearBox('right')"
      >
        Clear
      </button>
    </div>
  </div>
  <div class="tld">
    <mat-form-field appearance="outline">
      <mat-label>TLD</mat-label>
      <mat-select formControlName="topLevelDomainSelection">
        <mat-option *ngFor="let tld of tlds" [value]="tld">{{
          tld
        }}</mat-option>
      </mat-select>
      <mat-hint>TLD is the com in google.com</mat-hint>
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>TLD Choice (Optional)</mat-label>
      <input
        formControlName="topLevelDomainInput"
        matInput
        placeholder="Enter .com, .ph, etc..."
      />
      <mat-icon matSuffix>domain</mat-icon>
      <mat-hint>Ex: ".ph" or even just "ph"</mat-hint>
      <mat-error *ngIf="wordForm.controls.topLevelDomainInput.errors">
        Please enter a TLD (Ex: .com, .ph, etc...)
      </mat-error>
    </mat-form-field>
  </div>
  <button mat-raised-button color="primary">Combine & Check</button>
</form>
